Page MenuHomePhabricator

[Dashboards] Add relative option to External By Search Engine
Closed, ResolvedPublic4 Story Points

Description

http://discovery.wmflabs.org/external/#traffic_by_engine currently has absolute externally referred pageviews broken down by search engine. It'd be nice (and helpful to folks like @Tbayer) to have the option to view how the relative share of each search engine changes over time.

Event Timeline

mpopov created this task.Mar 30 2017, 12:46 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2017, 12:46 AM

Change 345611 had a related patch set uploaded (by Chelsyx):
[wikimedia/discovery/wonderbolt@master] Add relative option to External By Search Engine

https://gerrit.wikimedia.org/r/345611

Great idea, I'm sure this would be really useful to many folks (for context, this is the metric we have already highlighted e.g. here in 2015).

One caveat just in case: As discussed earlier, we should make sure to filter out bots/spiders, at least in the total views.

debt triaged this task as Normal priority.Mar 30 2017, 8:02 PM
debt added a project: Discovery.

One caveat just in case: As discussed earlier, we should make sure to filter out bots/spiders, at least in the total views.

We currently don't separate user pageviews from spider pageviews, but we will discuss it. It would definitely need to be a separate ticket.

Change 345611 merged by Bearloga:
[wikimedia/discovery/wonderbolt@master] Add relative option to External By Search Engine

https://gerrit.wikimedia.org/r/345611

Change 345867 had a related patch set uploaded (by Bearloga):
[wikimedia/discovery/dashboard@master] Deploy relative scales on external traffic dash

https://gerrit.wikimedia.org/r/345867

Change 345867 merged by Bearloga:
[wikimedia/discovery/dashboard@master] Deploy relative scales on external traffic dash

https://gerrit.wikimedia.org/r/345867

Oh, it looks like there has been a misunderstanding about the wording in the task description ("relative share of each search engine"). The number we have been looking at so far, e.g. in Oliver's aforementioned 2015 report and subsequent examinations, is the relative share among the overall number of (non-bot) pageviews. It seems that what has been added to the dashboard instead is the relative share among the number of all search engine-referred pageviews. (I'm not saying that the latter couldn't be of interest too - e.g. the new chart exposes a curious drop from April 29 to June 25, 2016 on mobile web, when Google suddenly fell from a fairly constant ~91-92% to ~83-84%. But the main focus of interest has been the question how much our overall traffic depends on particular search engines.)

mpopov added a subscriber: debt.Mar 31 2017, 6:43 PM

Ah, okay! Alrighty, we're also going to add the relative scale option to https://discovery.wmflabs.org/external/#traffic_summary

@debt: okie dokie, based on

it makes sense for us to add a graph that just shows non-bot pageviews and % shares (as a separate task) but we won't be able to retrospectively break down historical data we already have.

mpopov claimed this task.Apr 7 2017, 6:31 PM
mpopov moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.
mpopov added a subscriber: chelsyx.

Change 347040 had a related patch set uploaded (by Bearloga):
[wikimedia/discovery/wonderbolt@master] Add relative option to referrer summary

https://gerrit.wikimedia.org/r/347040

Change 347040 merged by Chelsyx:
[wikimedia/discovery/wonderbolt@master] Add relative option to referrer summary

https://gerrit.wikimedia.org/r/347040

Change 347776 had a related patch set uploaded (by Bearloga):
[wikimedia/discovery/dashboard@master] Deploy fixes

https://gerrit.wikimedia.org/r/347776

Change 347776 merged by Bearloga:
[wikimedia/discovery/dashboard@master] Deploy fixes

https://gerrit.wikimedia.org/r/347776

In production.

debt closed this task as Resolved.Apr 13 2017, 2:43 PM

Yay!